# 常用属性说明

## JXCategoryBaseView及其子类常用属性说明

### JXCategoryBaseView常用属性说明

属性     | 说明           |
--------------|---------------|
defaultSelectedIndex    | 默认选中的index，用于初始化时指定选中某个index |
selectedIndex    | 只读属性，当前选中的index |
cellWidth    | cell的宽度，默认：JXCategoryViewAutomaticDimension |
cellSpacing    | cell之间的间距，默认20 |
cellWidthIncrement    | cell宽度的补偿值，默认0 |
averageCellSpacingEnabled    | 当item内容总宽度小于JXCategoryBaseView的宽度，是否将cellSpacing均分。默认为YES。 |
contentScrollView    | 需要关联的contentScrollView，内部监听`contentOffset` |
contentEdgeInsetLeft    | 整体内容的左边距，默认JXCategoryViewAutomaticDimension（等于cellSpacing） |
contentEdgeInsetRight    | 整体内容的右边距，默认JXCategoryViewAutomaticDimension（等于cellSpacing） |
cellWidthZoomEnabled | cell宽度是否缩放，默认为NO |
cellWidthZoomScrollGradientEnabled | 手势滚动过程中，是否需要更新cell的宽度。默认为YES |
cellWidthZoomScale | cell宽度缩放最大scale，默认1.2 |
selectedAnimationEnabled | 是否开启选中动画。默认为NO。自定义的cell选中动画需要自己实现。 |
selectedAnimationDuration | cell选中动画的时间。默认0.25 |

### JXCategoryIndicatorView常用属性说明

属性     | 说明           |
--------------|---------------|
indicators | 类型为继承协议`JXCategoryIndicatorProtocol`的UIView类 |
cellBackgroundColorGradientEnabled | cell的背景色是否渐变。默认：NO |
cellBackgroundUnselectedColor | cell普通状态的背景色。默认：[UIColor clearColor] |
cellBackgroundSelectedColor | cell选中状态的背景色。默认：[UIColor grayColor] |
separatorLineShowEnabled | 是否显示分割线 |
separatorLineColor | 分割线颜色 |
separatorLineSize | 分割线的size |

### JXCategoryTitleView常用属性说明

属性     | 说明           |
--------------|---------------|
titles | title数组 |
titleNumberOfLines | 文本行数，默认为1。使用多行时，需要自己插入\n换行符 |
titleLabelAnchorPointStyle | titleLabel锚点位置，用于调整titleLabel缩放时的基准位置。默认为：JXCategoryTitleLabelAnchorPointStyleCenter |
titleLabelVerticalOffset | titleLabel锚点垂直方向的位置偏移，数值越大越偏离中心，默认为：0 |
titleColor    | titleLabel未选中颜色 默认：[UIColor blackColor] |
titleSelectedColor    | titleLabel选中颜色 默认：[UIColor redColor] |
titleFont    | titleLabel的字体 默认：[UIFont systemFontOfSize:15] |
titleColorGradientEnabled    | title的颜色是否渐变过渡 默认：NO |
titleLabelMaskEnabled    | titleLabel是否遮罩过滤 默认：NO |
titleLabelZoomEnabled    | titleLabel是否缩放 默认：NO |
titleLabelZoomScrollGradientEnabled | 手势滚动中，是否需要更新状态。默认为YES |
titleLabelZoomScale    | citleLabel缩放比例 默认：1.2 |
titleLabelStrokeWidthEnabled    | titleLabel的字体是否支持粗细变化 默认：NO |
titleLabelSelectedStrokeWidth    | 默认：-3，用于控制字体的粗细<br/>（底层通过NSStrokeWidthAttributeName实现）。<br/>使用该属性，务必让titleFont和titleSelectedFont设置为一样的！！！ |

### JXCategoryTitleImageView常用属性说明

属性     | 说明           |
--------------|---------------|
imageNames | 普通状态下的imageNames，通过[UIImage imageNamed:]方法加载 |
selectedImageNames | 选中状态下的imageNames，通过[UIImage imageNamed:]方法加载。可选 |
imageURLs | 普通状态下的imageURLs，通过loadImageCallback回调加载 |
selectedImageURLs | 选中状态下的selectedImageURLs，通过loadImageCallback回调加载 |
imageTypes | 默认@[JXCategoryTitleImageType_LeftImage...] |
loadImageCallback | 使用imageURL从远端下载图片进行加载，建议使用SDWebImage等第三方库进行下载。 |
imageSize | 图片尺寸。默认CGSizeMake(20, 20) |
titleImageSpacing | titleLabel和ImageView的间距，默认5 |
imageZoomEnabled | 图片是否缩放。默认为NO |
imageZoomScale | 图片缩放的最大scale。默认1.2，imageZoomEnabled为YES才生效 |

### JXCategoryNumberView常用属性说明

属性     | 说明           |
--------------|---------------|
counts | 需要与titles的count对应 |
numberStringFormatterBlock | 内部默认不会格式化数字，直接转成字符串显示。比如业务需要数字超过999显示999+，可以通过该block实现。 |
numberLabelFont | numberLabel的font |
numberBackgroundColor | 数字的背景色 |
numberTitleColor | 数字的title颜色 |
numberLabelWidthIncrement | numberLabel的宽度补偿，label真实的宽度是文字内容的宽度加上补偿的宽度，默认：10 |
numberLabelHeight | numberLabel的高度，默认：14 |

### JXCategoryDotView常用属性说明

属性     | 说明           |
--------------|---------------|
relativePosition | JXCategoryDotRelativePosition 相对于titleLabel的位置 |
dotStates | @[@(布尔值)]数组，控制红点是否显示 |
dotSize | 红点的尺寸。默认：CGSizeMake(10, 10) |
dotCornerRadius | 红点的圆角值。默认：JXCategoryViewAutomaticDimension（self.dotSize.height/2） |
dotColor | 红点的颜色。默认：[UIColor redColor]

## 指示器类常用属性说明

### JXCategoryIndicatorComponentView常用属性说明

属性     | 说明           |
--------------|---------------|
componentPosition | 指示器的位置。底部或者顶部 |
indicatorWidth | 指示器宽度。默认JXCategoryViewAutomaticDimension（与cell的宽度相等）|
indicatorWidthIncrement | 指示器的宽度增量。比如需求是指示器宽度比cell宽度多10 point。就可以将该属性赋值为10。最终指示器的宽度=indicatorWidth+indicatorWidthIncrement |
indicatorHeight | 指示器高度 |
indicatorCornerRadius | 指示器圆角值。默认JXCategoryViewAutomaticDimension （等于indicatorHeight/2）|
indicatorColor | 指示器的颜色 |
verticalMargin | 垂直方向偏移。数值越大越靠近中心。默认：0。 |
scrollEnabled | 手势滚动、点击切换的时候，是否允许滚动，默认YES |
scrollAnimationDuration | 滚动动画的时间。默认0.25 |

### JXCategoryIndicatorComponentView常用属性说明

属性     | 说明           |
--------------|---------------|
lineStyle | lineView的风格：Normal、Lengthen、LengthenOffset |
lineScrollOffsetX | line滚动时x的偏移量，默认为10 |

### JXCategoryIndicatorRainbowLineView常用属性说明

属性     | 说明           |
--------------|---------------|
indicatorColors | 数量需要与cell的数量相等。没有提供默认值，必须要赋值该属性。categoryView在reloadData的时候，也要一并更新该属性，不然会出现数组越界。 |

### JXCategoryIndicatorDotLineView常用属性说明

属性     | 说明           |
--------------|---------------|
lineWidth | 线状态的最大宽度。默认：50 |

### JXCategoryIndicatorTriangleView常用属性说明

通过基类JXCategoryIndicatorComponentView相关属性配置


### JXCategoryIndicatorBallView常用属性说明

属性     | 说明           |
--------------|---------------|
ballScrollOffsetX | 球的X轴偏移量。默认：20 |

### JXCategoryIndicatorImageView常用属性说明

属性     | 说明           |
--------------|---------------|
indicatorImageView | 显示指示器图片的UIImageView |
indicatorImageViewRollEnabled | 图片是否开启滚动。默认NO |
indicatorImageViewSize | 图片的尺寸。默认：CGSizeMake(30, 20) |

### JXCategoryIndicatorBackgroundView常用属性说明

通过基类JXCategoryIndicatorComponentView相关属性配置






